// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by an AGPL-3.0-style license
// that can be found in the LICENSE file.

part of molview_dataserver.module.main;

/// Handle a molview_messages.v0.AnnounceTable event
Future<Null> announceTableHandler(
    v0.AnnounceTable table, DataServerState state) async {
  state.bus.event(
      new v0.TableRegistered(table.database, table.table, table.descriptor));
}
